Bug 546806 - SELinux is preventing /usr/bin/gdb "read" access on /lib/modules/2.6.31.6-166.fc12.x86_64/vdso/vdso.so.
Summary: SELinux is preventing /usr/bin/gdb "read" access on /lib/modules/2.6.31.6-166...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:2e435666dae...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-12 01:21 UTC by jeff
Modified: 2009-12-22 20:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:28 UTC
Type: ---


Attachments (Terms of Use)

Description jeff 2009-12-12 01:21:10 UTC
Summary:

SELinux is preventing /usr/bin/gdb "read" access on
/lib/modules/2.6.31.6-166.fc12.x86_64/vdso/vdso.so.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by gdb. It is not expected that this access is
required by gdb and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:SystemLow-SystemHigh
Target Context                system_u:object_r:modules_object_t:SystemLow
Target Objects                /lib/modules/2.6.31.6-166.fc12.x86_64/vdso/vdso.so
                              [ file ]
Source                        gdb
Source Path                   /usr/bin/gdb
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gdb-7.0-9.fc12
Target RPM Packages           kernel-2.6.31.6-166.fc12
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-166.fc12.x86_64 #1 SMP Wed
                              Dec 9 10:46:22 EST 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Fri 11 Dec 2009 05:07:47 PM CST
Last Seen                     Fri 11 Dec 2009 05:07:47 PM CST
Local ID                      b12c9ac8-1477-47d7-99fb-8b0fc1c6d3ba
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260572867.224:59985): avc:  denied  { read } for  pid=31316 comm="gdb" name="vdso.so" dev=dm-0 ino=76092349 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:modules_object_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1260572867.224:59985): avc:  denied  { open } for  pid=31316 comm="gdb" name="vdso.so" dev=dm-0 ino=76092349 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:modules_object_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1260572867.224:59985): arch=c000003e syscall=2 success=yes exit=4294967424 a0=1509cb0 a1=0 a2=1b6 a3=0 items=0 ppid=2049 pid=31316 auid=4294967295 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=4294967295 comm="gdb" exe="/usr/bin/gdb" subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,gdb,abrt_t,modules_object_t,file,read
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t modules_object_t:file { read open };

Comment 1 Daniel Walsh 2009-12-12 12:39:44 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:54:58 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:43:08 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.